Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus
Class JspTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.cactus.internal.AbstractCactusTestCase
                  org.apache.cactus.ServletTestCase
                      org.apache.cactus.JspTestCase

All Implemented Interfaces:
  CactusTestCase, junit.framework.Test

public class JspTestCase
extends ServletTestCase

Test classes that need access to valid JSP implicit objects (such as the page context, the output jsp writer, the HTTP request, ...) must subclass this class.

Version:
  $Id: JspTestCase.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`javax.servlet.jsp.JspWriter` | `out` Valid `JspWriter` object that you can access from the `testXXX()`, `setUp` and `tearDown()` methods.
`PageContextWrapper` | `pageContext` Valid `PageContext` object that you can access from the `testXXX()`, `setUp` and `tearDown()` methods.

Fields inherited from class org.apache.cactus.ServletTestCase
`config, request, response, session`

Constructor Summary
`JspTestCase()`
`JspTestCase(java.lang.String theName)`
`JspTestCase(java.lang.String theName, junit.framework.Test theTest)`

Method Summary
`protected ProtocolHandler` | `createProtocolHandler()` Create a protocol handler instance that will be used to connect to the server side.

Methods inherited from class org.apache.cactus.internal.AbstractCactusTestCase
`runBare, runBareServer`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cactus.internal.CactusTestCase
`runBareServer`

Field Detail

### pageContext

    public PageContextWrapper pageContext

  Valid `PageContext` object that you can access from the `testXXX()`, `setUp` and `tearDown()` methods. If you try to access it from either the `beginXXX()` or `endXXX()` methods it will have the `null` value.

### out

    public javax.servlet.jsp.JspWriter out

  Valid `JspWriter` object that you can access from the `testXXX()`, `setUp` and `tearDown()` methods. If you try to access it from either the `beginXXX()` or `endXXX()` methods it will have the `null` value.

Constructor Detail

### JspTestCase

    public JspTestCase()

See Also:
  `ServletTestCase.ServletTestCase()`

### JspTestCase

    public JspTestCase(java.lang.String theName)

See Also:
  `ServletTestCase.ServletTestCase(String)`

### JspTestCase

    public JspTestCase(java.lang.String theName,
                       junit.framework.Test theTest)

See Also:
  `ServletTestCase.ServletTestCase(String, Test)`

Method Detail

### createProtocolHandler

    protected ProtocolHandler createProtocolHandler()

  Description copied from class: `AbstractCactusTestCase`
  Create a protocol handler instance that will be used to connect to the server side.

  Overrides:
    `createProtocolHandler` in class `ServletTestCase`
  See Also:
    `ServletTestCase.createProtocolHandler()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.